%global zigsite_dir %{buildroot}/opt/zigdev
%global debug_package %{nil}

Name:           zigdev
Version:        0.13.0
Release:        1%{?dist}
Summary:        Zig Devel tools - Unofficial package for Zig development tooling
URL:            https://gitlab.com/vornet/zig/zigdev
License:        GPLv2
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  curl


%description
TODO


%prep
%setup -q


%build
utils/zigdev-fetchall \
  "0.13.0" \
  "fetched" \
  "%{_arch}"


%install
mkdir -p "%{zigsite_dir}"
mv "fetched/zig-linux-%{_arch}" "%{zigsite_dir}"
touch pkg.files
find "$RPM_BUILD_ROOT" -type d -mindepth 1 \
  | sed "s:$RPM_BUILD_ROOT/:%dir /:" \
  | sort >>pkg.files
find "$RPM_BUILD_ROOT" -type f \
  | sed "s:$RPM_BUILD_ROOT/:/:" \
  | sort >>pkg.files
mkdir -p "$RPM_BUILD_ROOT/%{_bindir}"
ln -s "../../opt/zigdev/zig-linux-%{_arch}/zig" "%{buildroot}/%{_bindir}/zig"
echo "%{_bindir}/zig" >>pkg.files


%files -f pkg.files


%changelog

# specfile built with MKit 0.1.4
